Metasploit on 2.0

Discussion in 'iPod touch Firmware 2.X Jailbreak' started by mtndew9191, Jul 20, 2008.

  1. mtndew9191

    mtndew9191 New Member

    Joined:
    Jan 19, 2008
    Messages:
    18
    Likes Received:
    0
    Ok so I pretty much did everything the same way as I've done on 1.1.4, but I'm getting a weird error when running the msfconsole with firmware 2.0
    Code:
    Pwn-edz:/usr/bin root# ./msfconsole
    dyld: lazy symbol binding failed: Symbol not found: _NSCreateObjectFileImageFromFile
      Referenced from: /usr/lib/libruby.dylib
      Expected in: flat namespace
    
    dyld: Symbol not found: _NSCreateObjectFileImageFromFile
      Referenced from: /usr/lib/libruby.dylib
      Expected in: flat namespace
    
    Trace/BPT trap
    
    ruby is installed, as is the msfconsole framework 3 :/
  2. dnm

    dnm New Member

    Joined:
    Mar 1, 2008
    Messages:
    42
    Likes Received:
    0
    There is something wrong with Ruby, I tested it with a simple script via 'ruby' but when I try to run 'irb' this happens

    Code:
    Bento:~ root# irb
    dyld: lazy symbol binding failed: Symbol not found: _NSCreateObjectFileImageFromFile
      Referenced from: /usr/lib/libruby.dylib
      Expected in: flat namespace
    
    dyld: Symbol not found: _NSCreateObjectFileImageFromFile
      Referenced from: /usr/lib/libruby.dylib
      Expected in: flat namespace
    
    Trace/BPT trap
    Bento:~ root# 
    
  3. mtndew9191

    mtndew9191 New Member

    Joined:
    Jan 19, 2008
    Messages:
    18
    Likes Received:
    0
    whew, thanks, I was just about to email the metasploit creator XD
    ------------------double post merged------------------
    im gonna try and install ruby 1.8.7 manually, instead of using the 1.8.6 version from cydia
    dunno how well this is gonna work
  4. Striker9

    Striker9 New Member

    Joined:
    Sep 17, 2007
    Messages:
    46
    Likes Received:
    0
    Device:
    iPod touch
    Has anyone gotten metasploit working on 2.x? Just got an update for it through cydia but it still doesn't work.

Share This Page